Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), NonPersistent()> _
Public Class ContractRowsModifyData
    Inherits BaseObject

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub

    Private _DateExecution As Date
    Private _IsDateExecution As Boolean = False
    Private _PaymentOption As PaymentOption
    Private _IsPaymentOption As Boolean = False
    Private _NettoPriceHUF As Double
    Private _IsNettoPriceHUF As Boolean = False
    Private _NettoPriceDEV As Double
    Private _IsNettoPriceDEV As Boolean = False
    Private _InvoicePeriod As String
    Private _IsInvoicePeriod As Boolean = False
    Private _Description As String
    Private _IsDescription As Boolean = False
    Private _ShortName As String
    Private _IsShortName As Boolean = False
    Private _VAT As VAT
    Private _IsVAT As Boolean = False
    Private _JobNumberObjects As JobNumberObjects
    Private _IsJobNumberObjects As Boolean = False
    Private _UniqueObjects As UniqueObjects
    Private _IsUniqueObjects As Boolean = False
    Private _Controlling As Controlling
    Private _IsControlling As Boolean = False
    Private _CostHolder As CostHolder
    Private _IsCostHolder As Boolean = False


    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property IsDateExecution As Boolean
        Get
            Return _IsDateExecution
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsDateExecution", _IsDateExecution, value)
        End Set
    End Property
    Property PaymentOption As PaymentOption
        Get
            Return _PaymentOption
        End Get
        Set(value As PaymentOption)
            SetPropertyValue("PaymentOption", _PaymentOption, value)
        End Set
    End Property
    Property IsPaymentOption As Boolean
        Get
            Return _IsPaymentOption
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsPaymentOption", _IsPaymentOption, value)
        End Set
    End Property
    Property NettoPriceHUF As Double
        Get
            Return _NettoPriceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("NettoPriceHUF", _NettoPriceHUF, value)
        End Set
    End Property
    Property IsNettoPriceHUF As Boolean
        Get
            Return _IsNettoPriceHUF
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsNettoPriceHUF", _IsNettoPriceHUF, value)
        End Set
    End Property
    Property NettoPriceDEV As Double
        Get
            Return _NettoPriceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("NettoPriceDEV", _NettoPriceDEV, value)
        End Set
    End Property
    Property IsNettoPriceDEV As Boolean
        Get
            Return _IsNettoPriceDEV
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsNettoPriceDEV", _IsNettoPriceDEV, value)
        End Set
    End Property
    Property InvoicePeriod As String
        Get
            Return _InvoicePeriod
        End Get
        Set(value As String)
            SetPropertyValue("InvoicePeriod", _InvoicePeriod, value)
        End Set
    End Property
    Property IsInvoicePeriod As Boolean
        Get
            Return _IsInvoicePeriod
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsInvoicePeriod", _IsInvoicePeriod, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property IsDescription As Boolean
        Get
            Return _IsDescription
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsDescription", _IsDescription, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property IsShortName As Boolean
        Get
            Return _IsShortName
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsShortName", _IsShortName, value)
        End Set
    End Property
    Property VAT As VAT
        Get
            Return _VAT
        End Get
        Set(value As VAT)
            SetPropertyValue("VAT", _VAT, value)
        End Set
    End Property
    Property IsVAT As Boolean
        Get
            Return _IsVAT
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsVAT", _IsVAT, value)
        End Set
    End Property
    Property JobNumberObjects As JobNumberObjects
        Get
            Return _JobNumberObjects
        End Get
        Set(value As JobNumberObjects)
            SetPropertyValue("JobNumberObjects", _JobNumberObjects, value)
        End Set
    End Property
    Property IsJobNumberObjects As Boolean
        Get
            Return _IsJobNumberObjects
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsJobNumberObjects", _IsJobNumberObjects, value)
        End Set
    End Property
    Property UniqueObjects As UniqueObjects
        Get
            Return _UniqueObjects
        End Get
        Set(value As UniqueObjects)
            SetPropertyValue("UniqueObjects", _UniqueObjects, value)
        End Set
    End Property
    Property IsUniqueObjects As Boolean
        Get
            Return _IsUniqueObjects
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsUniqueObjects", _IsUniqueObjects, value)
        End Set
    End Property
    Property Controlling As Controlling
        Get
            Return _Controlling
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling", _Controlling, value)
        End Set
    End Property
    Property IsControlling As Boolean
        Get
            Return _IsControlling
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsControlling", _IsControlling, value)
        End Set
    End Property
    Property CostHolder As CostHolder
        Get
            Return _CostHolder
        End Get
        Set(value As CostHolder)
            SetPropertyValue("CostHolder", _CostHolder, value)
        End Set
    End Property
    Property IsCostHolder As Boolean
        Get
            Return _IsCostHolder
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsCostHolder", _IsCostHolder, value)
        End Set
    End Property
End Class
